#
# Conditional build:
%bcond_without	static_libs	# static libraries build
%bcond_without	graphite2	# Graphite2 library usage
%bcond_without	icu		# ICU integration
%bcond_with	tests		# "make check" call (cmap14 test fails as of 2.6.2 +otsanitizer-8.0.0 +fonttools-3.44.0)

Summary:	HarfBuzz - internationalized text shaping library
Summary(pl.UTF-8):	HarfBuzz - biblioteka rysująca tekst z obsługą wielu języków
Name:		harfbuzz
Version:	9.0.0
Release:	1
License:	MIT
Group:		Libraries
Source0:	https://github.com/harfbuzz/harfbuzz/releases/download/%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	0035c129cb1646ab1cff65e5ef7153db
URL:		https://harfbuzz.github.io/
BuildRequires:	cairo-devel >= 1.10.0
%{?with_tests:BuildRequires:	fonttools}
BuildRequires:	freetype-devel >= 1:2.11
BuildRequires:	glib2-devel >= 1:2.38
BuildRequires:	gobject-introspection-devel >= 1.34.0
%{?with_graphite2:BuildRequires:	graphite2-devel >= 1.2.0}
BuildRequires:	gtk-doc >= 1.15
%{?with_icu:BuildRequires:	libicu-devel >= 49.0}
BuildRequires:	libstdc++-devel >= 6:4.9
BuildRequires:	meson >= 0.55.0
BuildRequires:	ninja
%{?with_tests:BuildRequires:	otsanitizer >= 8}
BuildRequires:	pkgconfig >= 1:0.28
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	freetype >= 1:2.11
Requires:	glib2 >= 1:2.38
%{?with_graphite2:Requires:	graphite2 >= 1.2.0}
Provides:	harfbuzz-gobject = %{version}-%{release}
Obsoletes:	harfbuzz-gobject < 2.7.1-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Internationalized OpenType text layout and rendering library.

%description -l pl.UTF-8
Biblioteka rozmieszczająca i rysująca tekst z fontów OpenType,
obsługująca wiele języków.

%package devel
Summary:	Header files for HarfBuzz library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki HarfBuzz
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	freetype-devel >= 1:2.11
Requires:	glib2-devel >= 1:2.38
%{?with_graphite2:Requires:	graphite2-devel >= 1.2.0}
Requires:	libstdc++-devel
Provides:	harfbuzz-gobject-devel = %{version}-%{release}
Obsoletes:	harfbuzz-gobject-devel < 2.7.1-2

%description devel
Header files for HarfBuzz library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki HarfBuzz.

%package static
Summary:	Static HarfBuzz library
Summary(pl.UTF-8):	Statyczna biblioteka HarfBuzz
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	harfbuzz-gobject-static = %{version}-%{release}
Obsoletes:	harfbuzz-gobject-static < 2.7.1-3

%description static
Static HarfBuzz library.

%description static -l pl.UTF-8
Statyczna biblioteka HarfBuzz.

%package cairo
Summary:	HarfBuzz text shaping library - cairo integration
Summary(pl.UTF-8):	Biblioteka HarfBuzz do rysowania tekstu - integracja z cairo
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description cairo
HarfBuzz text shaping library - cairo integration.

%description cairo -l pl.UTF-8
Biblioteka HarfBuzz do rysowania tekstu - integracja z cairo.

%package cairo-devel
Summary:	Header files for HarfBuzz cairo library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki HarfBuzz cairo
Group:		Development/Libraries
Requires:	%{name}-cairo = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}

%description cairo-devel
Header files for HarfBuzz cairo library.

%description cairo-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki HarfBuzz cairo.

%package cairo-static
Summary:	Static HarfBuzz cairo library
Summary(pl.UTF-8):	Biblioteka statyczna HarfBuzz cairo
Group:		Development/Libraries
Requires:	%{name}-cairo-devel = %{version}-%{release}

%description cairo-static
Static HarfBuzz cairo library.

%description cairo-static -l pl.UTF-8
Biblioteka statyczna HarfBuzz cairo.

%package icu
Summary:	HarfBuzz text shaping library - ICU integration
Summary(pl.UTF-8):	Biblioteka HarfBuzz do rysowania tekstu - integracja z ICU
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libicu >= 49.0

%description icu
HarfBuzz text shaping library - ICU integration.

%description icu -l pl.UTF-8
Biblioteka HarfBuzz do rysowania tekstu - integracja z ICU.

%package icu-devel
Summary:	Header file for HarfBuzz ICU library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki HarfBuzz ICU
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-icu = %{version}-%{release}
Requires:	libicu-devel >= 49.0

%description icu-devel
Header file for HarfBuzz ICU library.

%description icu-devel -l pl.UTF-8
Plik nagłówkowy biblioteki HarfBuzz ICU.

%package icu-static
Summary:	Static HarfBuzz ICU library
Summary(pl.UTF-8):	Biblioteka statyczna HarfBuzz ICU
Group:		Development/Libraries
Requires:	%{name}-icu-devel = %{version}-%{release}

%description icu-static
Static HarfBuzz ICU library.

%description icu-static -l pl.UTF-8
Biblioteka statyczna HarfBuzz ICU.

%package subset
Summary:	HarfBuzz text shaping library - font subsetter
Summary(pl.UTF-8):	Biblioteka HarfBuzz do rysowania tekstu - font subsetter
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description subset
HarfBuzz text shaping library - font subsetter.

%description subset -l pl.UTF-8
Biblioteka HarfBuzz do rysowania tekstu - font subsetter.

%package subset-devel
Summary:	Header files for HarfBuzz subset library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki HarfBuzz subset
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-subset = %{version}-%{release}

%description subset-devel
Header files for HarfBuzz subset library.

%description subset-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki HarfBuzz subset.

%package subset-static
Summary:	Static HarfBuzz subset library
Summary(pl.UTF-8):	Biblioteka statyczna HarfBuzz subset
Group:		Development/Libraries
Requires:	%{name}-subset-devel = %{version}-%{release}

%description subset-static
Static HarfBuzz subset library.

%description subset-static -l pl.UTF-8
Biblioteka statyczna HarfBuzz subset.

%package progs
Summary:	HarfBuzz command-line utilities
Summary(pl.UTF-8):	Narzędzia HarfBuzz uruchamiane z linii poleceń
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo >= 1.10.0

%description progs
HarfBuzz command-line utilities.

%description progs -l pl.UTF-8
Narzędzia HarfBuzz uruchamiane z linii poleceń.

%package apidocs
Summary:	HarfBuzz API documentation
Summary(pl.UTF-8):	Dokumentacja API bibliotek HarfBuzz
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for HarfBuzz libraries.

%description apidocs -l pl.UTF-8
Dokumentacja API bibliotek HarfBuzz.

%prep
%setup -q

%build
%meson build \
	%{!?with_static_libs:--default-library=shared} \
	-Dcairo=enabled \
	-Ddocs=enabled \
	-Dfreetype=enabled \
	-Dglib=enabled \
	-Dgobject=enabled \
	-Dgraphite2=%{__enabled_disabled graphite2} \
	-Dicu=%{__enabled_disabled icu} \
	-Dtests=%{__enabled_disabled tests}

%ninja_build -C build

%{?with_tests:%ninja_test -C build}

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	cairo -p /sbin/ldconfig
%postun	cairo -p /sbin/ldconfig

%post	icu -p /sbin/ldconfig
%postun	icu -p /sbin/ldconfig

%post	subset -p /sbin/ldconfig
%postun	subset -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README.md THANKS
%attr(755,root,root) %{_libdir}/libharfbuzz.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libharfbuzz.so.0
%attr(755,root,root) %{_libdir}/libharfbuzz-gobject.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libharfbuzz-gobject.so.0
%{_libdir}/girepository-1.0/HarfBuzz-0.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libharfbuzz.so
%attr(755,root,root) %{_libdir}/libharfbuzz-gobject.so
%dir %{_includedir}/harfbuzz
%{_includedir}/harfbuzz/hb.h
%{_includedir}/harfbuzz/hb-aat.h
%{_includedir}/harfbuzz/hb-aat-layout.h
%{_includedir}/harfbuzz/hb-blob.h
%{_includedir}/harfbuzz/hb-buffer.h
%{_includedir}/harfbuzz/hb-common.h
%{_includedir}/harfbuzz/hb-cplusplus.hh
%{_includedir}/harfbuzz/hb-deprecated.h
%{_includedir}/harfbuzz/hb-draw.h
%{_includedir}/harfbuzz/hb-face.h
%{_includedir}/harfbuzz/hb-features.h
%{_includedir}/harfbuzz/hb-font.h
%{_includedir}/harfbuzz/hb-ft.h
%{_includedir}/harfbuzz/hb-glib.h
%{_includedir}/harfbuzz/hb-gobject.h
%{_includedir}/harfbuzz/hb-gobject-enums.h
%{_includedir}/harfbuzz/hb-gobject-structs.h
%{?with_graphite2:%{_includedir}/harfbuzz/hb-graphite2.h}
%{_includedir}/harfbuzz/hb-map.h
%{_includedir}/harfbuzz/hb-ot-color.h
%{_includedir}/harfbuzz/hb-ot-deprecated.h
%{_includedir}/harfbuzz/hb-ot-font.h
%{_includedir}/harfbuzz/hb-ot-layout.h
%{_includedir}/harfbuzz/hb-ot-math.h
%{_includedir}/harfbuzz/hb-ot-meta.h
%{_includedir}/harfbuzz/hb-ot-metrics.h
%{_includedir}/harfbuzz/hb-ot-name.h
%{_includedir}/harfbuzz/hb-ot-shape.h
%{_includedir}/harfbuzz/hb-ot-var.h
%{_includedir}/harfbuzz/hb-ot.h
%{_includedir}/harfbuzz/hb-paint.h
%{_includedir}/harfbuzz/hb-set.h
%{_includedir}/harfbuzz/hb-shape-plan.h
%{_includedir}/harfbuzz/hb-shape.h
%{_includedir}/harfbuzz/hb-style.h
%{_includedir}/harfbuzz/hb-unicode.h
%{_includedir}/harfbuzz/hb-version.h
%{_pkgconfigdir}/harfbuzz.pc
%{_pkgconfigdir}/harfbuzz-gobject.pc
%dir %{_libdir}/cmake/harfbuzz
%{_libdir}/cmake/harfbuzz/harfbuzz-config.cmake
%{_datadir}/gir-1.0/HarfBuzz-0.0.gir

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libharfbuzz.a
%{_libdir}/libharfbuzz-gobject.a
%endif

%files cairo
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libharfbuzz-cairo.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libharfbuzz-cairo.so.0

%files cairo-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libharfbuzz-cairo.so
%{_includedir}/harfbuzz/hb-cairo.h
%{_pkgconfigdir}/harfbuzz-cairo.pc

%if %{with static_libs}
%files cairo-static
%defattr(644,root,root,755)
%{_libdir}/libharfbuzz-cairo.a
%endif

%if %{with icu}
%files icu
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libharfbuzz-icu.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libharfbuzz-icu.so.0

%files icu-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libharfbuzz-icu.so
%{_includedir}/harfbuzz/hb-icu.h
%{_pkgconfigdir}/harfbuzz-icu.pc

%if %{with static_libs}
%files icu-static
%defattr(644,root,root,755)
%{_libdir}/libharfbuzz-icu.a
%endif
%endif

%files subset
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libharfbuzz-subset.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libharfbuzz-subset.so.0

%files subset-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libharfbuzz-subset.so
%{_includedir}/harfbuzz/hb-subset.h
%{_includedir}/harfbuzz/hb-subset-repacker.h
%{_pkgconfigdir}/harfbuzz-subset.pc

%if %{with static_libs}
%files subset-static
%defattr(644,root,root,755)
%{_libdir}/libharfbuzz-subset.a
%endif

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/hb-info
%attr(755,root,root) %{_bindir}/hb-ot-shape-closure
%attr(755,root,root) %{_bindir}/hb-shape
%attr(755,root,root) %{_bindir}/hb-subset
%attr(755,root,root) %{_bindir}/hb-view

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/harfbuzz
%changelog
* Fri Jun 28 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/harfbuzz.git;a=log;h=master

* Thu Jun 27 2024 Jan Palus <atler@pld-linux.org> 8e651ca
- up to 9.0.0

* Tue May 14 2024 Jan Palus <atler@pld-linux.org> 3115812
- up to 8.5.0

* Fri Mar 29 2024 Jan Palus <atler@pld-linux.org> 61b6980
- up to 8.4.0

* Sun Mar 17 2024 Jan Palus <atler@pld-linux.org> 7fd6167
- up to 8.3.1

* Sat Nov 11 2023 Jan Palus <atler@pld-linux.org> 0b0bd78
- up to 8.3.0

* Wed Oct 18 2023 Jan Palus <atler@pld-linux.org> fa93d14
- up to 8.2.2

* Mon Sep 18 2023 Jan Palus <atler@pld-linux.org> ebe6042
- up to 8.2.1

* Sat Sep 09 2023 Jan Palus <atler@pld-linux.org> 9cd1bfb
- up to 8.2.0

* Wed Aug 02 2023 Jan Palus <atler@pld-linux.org> 8addaff
- up to 8.1.1

* Tue Aug 01 2023 Jan Palus <atler@pld-linux.org> 720ae0f
- up to 8.1.0

* Wed Jul 12 2023 Jan Palus <atler@pld-linux.org> 9c8081f
- up to 8.0.1

* Sun Jul 09 2023 Jan Palus <atler@pld-linux.org> d314ea8
- up to 8.0.0

* Fri Jun 30 2023 Jan Palus <atler@pld-linux.org> fa30ead
- icu rebuild

* Tue May 09 2023 Jan Palus <atler@pld-linux.org> 218a0f8
- up to 7.3.0

* Thu Apr 27 2023 Jan Palus <atler@pld-linux.org> dee480f
- up to 7.2.0

* Fri Mar 03 2023 Jan Palus <atler@pld-linux.org> 0185fb6
- up to 7.1.0

* Mon Feb 20 2023 Jan Palus <atler@pld-linux.org> 0c2d27d
- up to 7.0.1

* Thu Feb 16 2023 Jan Palus <atler@pld-linux.org> 04a6464
- icu rebuild

* Sun Feb 12 2023 Jan Palus <atler@pld-linux.org> 6d65079
- up to 7.0.0

* Fri Dec 16 2022 Jan Palus <atler@pld-linux.org> cdeb269
- up to 6.0.0

